%define debug 0

%define strip_bin 0

%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define redhatify 1

%define qt_version 3.1.2
%define kde_version 3.1.4

Version: 3.1.4
Release: 1
Summary: K Desktop Environment - core files
Name: quanta
Url: http://quanta.sourceforge.net/
Epoch: 6
Group: Applications/Editors
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

Source: ftp://ftp.kde.org/pub/kde/stable/quanta-%{version}/src/%{name}-%{version}.tar.bz2
Source1: http://download.sourceforge.net/quanta/css.tar.bz2
Source2: http://download.sourceforge.net/quanta/html.tar.bz2
Source3: http://download.sourceforge.net/quanta/php_manual_en_20030401.tar.bz2
Source4: http://download.sourceforge.net/quanta/javascript.tar.bz2

Patch1: javascript.patch
Patch2: quanta-3.1.4-flags.patch

Prereq: /sbin/ldconfig
Requires: kdelibs >= %{kde_version}

BuildPrereq: qt-devel >= %{qt_version}
BuildPrereq: kdelibs-devel >= %{kde_version}

%if %{desktop_file}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
%endif

Obsoletes: WebMaker

%description
Quanta Plus is an HTML editor for the K Desktop Environment. This
program is designed for quick Web development. Quanta is rapidly
becoming a mature editor with a number of great features. Its
objective is to produce a complete Web development environment for
active development with a focus on supporting professional level
development. This means full HTML 4.0 support including cascading
style sheets and lots of time saving features. Support for Perl,
Javascript, and PHP is being developed (and working to a small extent
in this release).

%prep
%setup -q -a 1 -a 2 -a 3 -a 4
%patch1 -p0 -b .javascript
%patch2 -p0 -b .ansi

%build
QTDIR="" && . /etc/profile.d/qt.sh

# Workaround for legacy auto* tools
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs
# End workaround

export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -UDEBUG -D_GNU_SOURCE"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -UDEBUG -D_GNU_SOURCE -fno-use-cxa-atexit"

%configure \
   --with-qt-libraries=$QTDIR/lib \
   --enable-final

make %{?smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# install docs
for i in css html javascript ; do
   pushd $i
   ./install.sh <<EOF
$RPM_BUILD_ROOT%{_datadir}/apps/quanta/doc
EOF
   popd
   rm -rf $i
done

cp -R php php.docrc $RPM_BUILD_ROOT%{_datadir}/apps/quanta/doc

# fix dangling symlinks
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -s ../common $i
   fi
done
popd

# vfolder
%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install \
   --vendor kde \
   --delete-original \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Development;X-Red-Hat-Extra" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Development/*.desktop

desktop-file-install \
   --vendor kde \
   --delete-original \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Development;X-Red-Hat-Extra" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/*.desktop

desktop-file-install \
   --vendor kde \
   --delete-original \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Development;X-Red-Hat-Extra" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Editors/kmdr-editor.desktop
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*

%{_bindir}/*
%{_libdir}/%{name}
%{_libdir}/*.so*
%{_libdir}/*.la
%{_datadir}/apps/%{name}
%{_datadir}/icons/*/*/*/*

%if %{desktop_file}
%{_datadir}/applications/*
%else
%{_datadir}/applnk/Utilities/*
%{_datadir}/applnk/Applications/*
%{_datadir}/applnk/Editors/*
%endif

%changelog
* Tue Sep 30 2003 Than Ngo <than@redhat.com> 6:3.1.4-1
- 3.1.4

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 6:3.1.3-1
- 3.1.3
- update php docs (bug #99073)
- desktop issue (bug #87602)


* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-4
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 20 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Thu Mar 20 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Fri Jan 31 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 final

* Sat Nov 30 2002 Than Ngo <than@redhat.com> 3.1-0.2
- cleanup scpecfile
- desktop file issue
- add missing %post, %postun ldconfig
- remove po files, it's now in kde-i18n stuff

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4

* Fri Aug 23 2002 Phil Knirsch <pknirsch@redhat.com> 3.0-0.pr1.5
- Rebuilt with new qt.

* Mon Aug 12 2002 Tim Powers <timp@redhat.com> 3.0-0.pr1.4
- rebuilt with gcc-3.2

* Sun Aug  4 2002 han Ngo <than@redhat.com> 3.0-0.pr1.3
- 3.0-pr1 release
- fixed desktop file issue

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0-0.pr1.2
- build using gcc-3.2-0.1

* Sun Jul 14 2002 Than Ngo <than@redhat.com> 3.0-0.pr1.1
- 3.0-pr1 fixed bug #68268
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-0.cvs20020523.1
- Update, fix build with current toolchain

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 2.1-0.cvs20020404.2
- rebuild

* Thu Apr  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-0.cvs20020404.1
- Fix bug #62648

* Tue Mar 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-0.cvs20020326.1
- Update
- %%langify spec file
- Move desktop file to /etc/X11/applnk; quanta is generally useful

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-0.cvs20020129.1
- Update, fix build, KDE3ify

* Thu Aug 23 2001 Than Ngo <than@redhat.com> 2.0-0.cvs20010724.2
- fix quanta crashes on exit (Bug #51180)
- fix bad character (Bug #51509)

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010724.1
- langify
- remove ia64 workarounds
- update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.0-0.cvs20010723.1
- Update
- Make symlinks relative

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- update to 2.0pr1

* Wed Feb  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to get rid of libkdefakes.so.0 requirement

* Thu Jan  4 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial build, obsoletes WebMaker
